> ## Documentation Index
> Fetch the complete documentation index at: https://docs.imprint.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for rewards



## OpenAPI

````yaml /api-reference/openapi.yaml get /v2/rewards
openapi: 3.1.0
info:
  title: Public Imprint API
  version: '2.0'
servers:
  - url: https://dev.sbx.imprint.co
    description: Imprint public api sandbox
security:
  - basicAuth: []
  - bearerAuth: []
paths:
  /v2/rewards:
    get:
      tags:
        - Rewards
      summary: Search for rewards
      operationId: searchRewards
      parameters:
        - name: transaction_event_id
          in: query
          description: Reward associated to the transaction event
          schema:
            type: string
            example: 40fa8333-f809-4861-9839-45f41d50077d
        - $ref: '#/components/parameters/limitParam'
          name: limit
        - $ref: '#/components/parameters/startingAfterParam'
          name: starting_after
      responses:
        '200':
          description: List of rewards
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Reward'
                  has_more:
                    type: boolean
                  total:
                    type: integer
components:
  parameters:
    limitParam:
      name: limit
      in: query
      description: Limits the number of returned results
      schema:
        type: integer
        minimum: 1
        default: 10
        format: int32
    startingAfterParam:
      name: starting_after
      in: query
      description: >-
        A cursor for use in pagination. An id that defines your place in the
        list.
      schema:
        type: string
  schemas:
    Reward:
      type: object
      required:
        - id
        - customer_id
        - amount
        - status
        - type
        - created_at
      properties:
        id:
          type: string
          example: 2EE24580-B97B-4949-A65C-929CCB9B9B8D
        customer_id:
          type: string
          example: 9B5E1EE0-2E1C-46E7-81B9-3C3917204BE4
        transaction_event_id:
          type: string
          description: transaction that generated this reward, if applicable.
          example: E777214A-2D11-4CAD-9E8F-E1BD71D9FE67
        amount:
          type: integer
          description: reward amount in min units.
        type:
          $ref: '#/components/schemas/RewardType'
        currency:
          $ref: '#/components/schemas/RewardCurrency'
        status:
          $ref: '#/components/schemas/RewardStatus'
        created_at:
          type: string
          description: the RFC-3339 timestamp when the reward was created
          example: '2025-02-13T19:08:07.000Z'
        updated_at:
          type: string
          description: the RFC-3339 timestamp when the reward was last updated
          example: '2025-02-13T19:08:07.000Z'
        metadata:
          type: object
          additionalProperties: true
          example:
            platform_version: 2.1.0
    RewardType:
      type: string
      enum:
        - OFFER
        - TRANSACTIONAL
        - ONE_TIME
        - STATEMENT
        - REFERRAL
      example: TRANSACTIONAL
    RewardCurrency:
      type: string
      description: >-
        The 3-character currency code of the amount in ISO 4217 format (e.g.,
        "USD") or a reward unit (e.g., "POINTS")
      example: POINTS
    RewardStatus:
      type: string
      enum:
        - PENDING
        - AVAILABLE
        - PENDING_DEDUCTION
        - DEDUCTED
      example: PENDING
  securitySchemes:
    bearerAuth:
      bearerFormat: auth-scheme
      description: >-
        Bearer HTTP authentication. Allowed headers-- Authorization: Bearer
        <api_key>
      scheme: bearer
      type: http

````